During the upgrade process from r6 to r12, the Policy Server throws XPS errors.

Document ID : KB000050750
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

After stage 1 of the upgrade process from r6 to r12 as per the upgrade guide, the connection of the Policy Server r12 to an r6 Policy Store throws error in the smps.log:

[8114/21][Fri Oct 15 2010 09:10:26][CA.XPS:LDAP0014][ERROR] Error occurred during "Modify" for "xpsParameter=CA.XPS::$PolicyStoreID,ou=XPS,ou=policysvr4,ou=siteminder,ou=netegrity,dc=PSRoot", text: Object class violation
[8114/21][Fri Oct 15 2010 09:10:26][CA.XPS:XPSIO024][ERROR] Save Policy StoreID failed.

Solution:

Those messages appear in the Policy Server log because it fails to write into the Policy Store. Failure to write in to the policy store is always considered as an error and gets logged in to smps.log file. This is a generic error written by the code, but it does not mean any harm.

The reason why this error is logged here is because the XPS extensions are not yet installed in the policy store and therefore any use of XPS features will result in a failure to write.

This behavior is as expected at this stage of the upgrade, as the XPS extensions are not installed.